VERSION 5.00
Begin VB.Form frmTest 
   Caption         =   "Overlaying Images Semi-Transparently"
   ClientHeight    =   2880
   ClientLeft      =   1815
   ClientTop       =   1935
   ClientWidth     =   6240
   LinkTopic       =   "Form1"
   ScaleHeight     =   2880
   ScaleWidth      =   6240
   Begin VB.CommandButton cmdBlend 
      Caption         =   "Blend"
      Height          =   495
      Left            =   2160
      TabIndex        =   6
      Top             =   2280
      Width           =   1860
   End
   Begin VB.PictureBox picDest 
      ClipControls    =   0   'False
      Height          =   1860
      Left            =   4200
      ScaleHeight     =   120
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   120
      TabIndex        =   5
      Top             =   360
      Width           =   1860
   End
   Begin VB.PictureBox picSrc2 
      ClipControls    =   0   'False
      Height          =   1860
      Left            =   2160
      Picture         =   "frmTest.frx":0000
      ScaleHeight     =   120
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   120
      TabIndex        =   1
      Top             =   360
      Width           =   1860
   End
   Begin VB.PictureBox picSrc1 
      ClipControls    =   0   'False
      Height          =   1860
      Left            =   120
      Picture         =   "frmTest.frx":2952
      ScaleHeight     =   120
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   120
      TabIndex        =   0
      Top             =   360
      Width           =   1860
   End
   Begin VB.Label lbl 
      Caption         =   "Destination:"
      Height          =   255
      Index           =   2
      Left            =   4200
      TabIndex        =   4
      Top             =   120
      Width           =   1215
   End
   Begin VB.Label lbl 
      Caption         =   "Source #2"
      Height          =   255
      Index           =   1
      Left            =   2160
      TabIndex        =   3
      Top             =   120
      Width           =   1215
   End
   Begin VB.Label lbl 
      Caption         =   "Source #1"
      Height          =   255
      Index           =   0
      Left            =   120
      TabIndex        =   2
      Top             =   120
      Width           =   1215
   End
End
Attribute VB_Name = "frmTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'=======================================
'Downloaded from Visual Basic Thunder
'www.vbthunder.com
'Created on: 8/15/2002 11:45:55 AM
'=======================================

Option Explicit

Private Function Blend( _
    ByVal Color1 As Long, _
    ByVal Color2 As Long) As Long

Dim r As Long, g As Long, b As Long

b = ((((Color2 \ &H10000) And &HFF) * 50) + _
    (((Color1 \ &H10000) And &HFF) * 50)) \ 100

g = ((((Color2 \ &H100) And &HFF) * 50) + _
    (((Color1 \ &H100) And &HFF) * 50)) \ 100

r = (((Color2 And &HFF) * 50) + _
    ((Color1 And &HFF) * 50)) \ 100

Blend = RGB(r, g, b)

End Function

Private Sub cmdBlend_Click()

Dim x As Long
Dim y As Long

For y = 0 To picSrc1.ScaleHeight
    For x = 0 To picSrc1.ScaleWidth
        picDest.PSet (x, y), Blend( _
            picSrc1.Point(x, y), _
            picSrc2.Point(x, y))
    Next
Next

End Sub

